Κυριακή, 12 Δεκεμβρίου 2010

SPSS στο Snow Leopard

Όσοι από εσάς χρησιμοποιείται το SPSS για Mac Os θα έχετε διαπιστώσει ότι η έκδοση 16 δε λειτουργεί στο Snow Leopard (10.6). Το πρόβλημα βρίσκεται όχι τόσο στο λειτουργικό σύστημα όσο στην έκδοση της Java που αυτό χρησιμοποιεί!
Έτσι με οποιαδήποτε έκδοση της Java μεγαλύτερη από τη 1.5 η εφαρμογή όχι μόνο δε λειτουργεί αλλά δεν ολοκληρώνεται ούτε η εγκατάστασή της.
Μετά από λίγο ψάξιμο στο δίκτυο κατάφερα να εντοπίσω μια λύση και σας τη μεταφέρω. Αρχικά χρειάζεται να εγκαταστήσουμε την java 1.5 στο Snow Leopard και για να γίνει αυτό πρέπει πρώτα να την κατεβάσουμε από εδώ και το αποσυμπιέζουμε. 
Στη συνέχεια διαγράφουμε τα alias 1.5 και 1.5.0 από το φάκελο /System/Library/Frameworks/JavaVM.Framework/Versions 



και στη θέση τους αντιγράφουμε το φάκελο 1.5.0 που αποσυμπιέσαμε. 
Έπειτα τρέχουμε τον SPSS Statistics Installer, που αυτή τη φορά δε θα κρασάρει και θα ολοκληρώσει την εγκατάσταση. 
Μετά το τέλος της εγκατάστασης εντοπίζουμε το αρχείο
/Applications/SPSSInc/Statistics16/ SPSSStatistics16.0.app/Contents/bin/jvmcfg.ini
και το ανοίγουμε σε text editor.
Αφού εντοπίσουμε την γραμμή
jvm_lib_path1=/System/Library/Frameworks/ JavaVM.framework/Versions/CurrentJDK/Libraries/
την αλλάζουμε σε
jvm_lib_path1=/System/Library/Frameworks/ JavaVM.framework/Versions/1.5.0/Libraries/

Αποθηκεύουμε το αρχείο και τελειώσαμε. Το SPSS πλέον δουλεύει!!!

Καλή επιτυχία!

4 σχόλια:

ym είπε...

φίλε μου καλή προσπάθεια με το blog σου. Συνεχισέ το!

ΣΥΛΛΟΓΟΣ είπε...

Πολυ καλό το blog σου και ειδικά αυτό με το office εγραψε. Μπορεις να μου πεις που θα βρω το spss 16 δωρεάν?

Ανώνυμος είπε...

έπεσα στο blog σου τυχαία και διάβασα τα posts σου. Πραγματικά ΜΕ ΕΧΕΙΣ ΣΩΣΕΙ!! με γλυτώνεις από τις απίστευτες ταρζανιές στις οποίες έχω υποπέσει εδώ και ένα χρόνο!!
Για τον ΣΥΛΛΟΓΟΣ, εκεί όπου βρίσκεις γενικά πράγματα που δε θα έπρεπε να υπάρχουν...

Andreas Kemalis είπε...

Πάρα πολύ καλό! Με έσωσες! (Εμένα και πολλούς άλλους ακόμα!)